scripts:
  crawl:
    cmd: src/crawl.ts
    allow:
      - net
      - write
      - read
    lock: lock.json
    config: deno.jsonc

  bundle: >
    deno bundle
    -c deno.jsonc
    --lock lock.json src/website/mod.ts
    | esbuild --minify
    > docs/website.bundle.js 

  generate-lock: >
    deno cache
    --lock=lock.json
    --lock-write
    src/deps.ts
